#ifndef bttnpage_included
#define bttnpage_included

#include <proppage.h>
#include <qchkbox.h>
#include <qgrpbox.h>
#include <qlined.h>

#include <qregexp.h>
#include <qstring.h>
#include <qbutton.h>

class ButtonPage: public PropPage
{
  Q_OBJECT
  public:
    ButtonPage(QWidget *parent, const char *name);
    ~ButtonPage();
    void setTarget(QWidget *target);
    void applyValues();
  private:
    QButton * _target;
  private:
    QGroupBox *labGrp;
    QLineEdit *labelEdit;
    QGroupBox *optGrp;
    QCheckBox *aresBox;
    QCheckBox *arepBox;
};

#endif
