#ifndef colmixer_included
#define colmixer_included

#include <qdialog.h>
#include <qpushbt.h>
#include <qframe.h>
#include <qbttngrp.h>
#include <qlabel.h>
#include <qslider.h>

#include <qstring.h>

class ColorMixer: public QDialog
{
  Q_OBJECT
  public:
    ColorMixer(QWidget *parent, const char *name);
    ~ColorMixer();
    const QColor & color();
    void setColor(const QColor &col);
  private slots:
    void setstdcolor(int val);
    void setrgbcolor(int dummy);
  private:
    QButtonGroup *stdColGrp;
    QPushButton *but0;
    QPushButton *but1;
    QPushButton *but2;
    QPushButton *but3;
    QPushButton *but4;
    QPushButton *but5;
    QPushButton *but6;
    QPushButton *but7;
    QPushButton *but8;
    QPushButton *but9;
    QPushButton *but10;
    QPushButton *but11;
    QPushButton *but12;
    QPushButton *but13;
    QPushButton *but14;
    QPushButton *but15;
    QPushButton *but16;
    QFrame *colFrame;
    QLabel *untitled_0;
    QSlider *redSlide;
    QLabel *redVal;
    QLabel *untitled_1;
    QSlider *greenSlide;
    QLabel *greenVal;
    QLabel *untitled_2;
    QSlider *blueSlide;
    QLabel *blueVal;
    QPushButton *cancelBut;
    QPushButton *okBut;
};

#endif
