#include "colpage.h"

ColorPage::ColorPage(QWidget *parent, const char *name)
: PropPage(parent, name)
{
  QFont fnt;
  QColor fg, bg, light, dark, mid, text, base;
  QColorGroup normal, disabled, active;
  QPalette pal;

  this->resize(235, 225);
  normalGrp = new QButtonGroup(this);
  normalGrp->setGeometry(0, 0, 75, 225);
  normalGrp->setTitle("Normal");
  nBut0 = new QPushButton(normalGrp);
  nBut0->setGeometry(45, 15, 25, 25);
  nBut1 = new QPushButton(normalGrp);
  nBut1->setGeometry(45, 45, 25, 25);
  nBut2 = new QPushButton(normalGrp);
  nBut2->setGeometry(45, 75, 25, 25);
  nBut3 = new QPushButton(normalGrp);
  nBut3->setGeometry(45, 105, 25, 25);
  nBut4 = new QPushButton(normalGrp);
  nBut4->setGeometry(45, 135, 25, 25);
  nBut5 = new QPushButton(normalGrp);
  nBut5->setGeometry(45, 165, 25, 25);
  nBut6 = new QPushButton(normalGrp);
  nBut6->setGeometry(45, 195, 25, 25);
  untitled_0 = new QLabel(normalGrp);
  untitled_0->setGeometry(5, 15, 40, 25);
  untitled_0->setText("fg");
  untitled_1 = new QLabel(normalGrp);
  untitled_1->setGeometry(5, 45, 40, 25);
  untitled_1->setText("bg");
  untitled_2 = new QLabel(normalGrp);
  untitled_2->setGeometry(5, 75, 40, 25);
  untitled_2->setText("light");
  untitled_3 = new QLabel(normalGrp);
  untitled_3->setGeometry(5, 105, 40, 25);
  untitled_3->setText("dark");
  untitled_4 = new QLabel(normalGrp);
  untitled_4->setGeometry(5, 135, 40, 25);
  untitled_4->setText("mid");
  untitled_5 = new QLabel(normalGrp);
  untitled_5->setGeometry(5, 165, 40, 25);
  untitled_5->setText("text");
  untitled_6 = new QLabel(normalGrp);
  untitled_6->setGeometry(5, 195, 40, 25);
  untitled_6->setText("base");
  disGrp = new QButtonGroup(this);
  disGrp->setGeometry(80, 0, 75, 225);
  disGrp->setTitle("Disabled");
  dBut0 = new QPushButton(disGrp);
  dBut0->setGeometry(45, 15, 25, 25);
  dBut1 = new QPushButton(disGrp);
  dBut1->setGeometry(45, 45, 25, 25);
  dBut2 = new QPushButton(disGrp);
  dBut2->setGeometry(45, 75, 25, 25);
  dBut3 = new QPushButton(disGrp);
  dBut3->setGeometry(45, 105, 25, 25);
  dBut4 = new QPushButton(disGrp);
  dBut4->setGeometry(45, 135, 25, 25);
  dBut5 = new QPushButton(disGrp);
  dBut5->setGeometry(45, 165, 25, 25);
  dBut6 = new QPushButton(disGrp);
  dBut6->setGeometry(45, 195, 25, 25);
  untitled_10 = new QLabel(disGrp);
  untitled_10->setGeometry(5, 15, 40, 25);
  untitled_10->setText("fg");
  untitled_11 = new QLabel(disGrp);
  untitled_11->setGeometry(5, 45, 40, 25);
  untitled_11->setText("bg");
  untitled_12 = new QLabel(disGrp);
  untitled_12->setGeometry(5, 75, 40, 25);
  untitled_12->setText("light");
  untitled_13 = new QLabel(disGrp);
  untitled_13->setGeometry(5, 105, 40, 25);
  untitled_13->setText("dark");
  untitled_14 = new QLabel(disGrp);
  untitled_14->setGeometry(5, 135, 40, 25);
  untitled_14->setText("mid");
  untitled_15 = new QLabel(disGrp);
  untitled_15->setGeometry(5, 165, 40, 25);
  untitled_15->setText("text");
  untitled_16 = new QLabel(disGrp);
  untitled_16->setGeometry(5, 195, 40, 25);
  untitled_16->setText("base");
  actGrp = new QButtonGroup(this);
  actGrp->setGeometry(160, 0, 75, 225);
  actGrp->setTitle("Active");
  aBut0 = new QPushButton(actGrp);
  aBut0->setGeometry(45, 15, 25, 25);
  aBut1 = new QPushButton(actGrp);
  aBut1->setGeometry(45, 45, 25, 25);
  aBut2 = new QPushButton(actGrp);
  aBut2->setGeometry(45, 75, 25, 25);
  aBut3 = new QPushButton(actGrp);
  aBut3->setGeometry(45, 105, 25, 25);
  aBut4 = new QPushButton(actGrp);
  aBut4->setGeometry(45, 135, 25, 25);
  aBut5 = new QPushButton(actGrp);
  aBut5->setGeometry(45, 165, 25, 25);
  aBut6 = new QPushButton(actGrp);
  aBut6->setGeometry(45, 195, 25, 25);
  untitled_20 = new QLabel(actGrp);
  untitled_20->setGeometry(5, 15, 40, 25);
  untitled_20->setText("fg");
  untitled_21 = new QLabel(actGrp);
  untitled_21->setGeometry(5, 45, 40, 25);
  untitled_21->setText("bg");
  untitled_22 = new QLabel(actGrp);
  untitled_22->setGeometry(5, 75, 40, 25);
  untitled_22->setText("light");
  untitled_23 = new QLabel(actGrp);
  untitled_23->setGeometry(5, 105, 40, 25);
  untitled_23->setText("dark");
  untitled_24 = new QLabel(actGrp);
  untitled_24->setGeometry(5, 135, 40, 25);
  untitled_24->setText("mid");
  untitled_25 = new QLabel(actGrp);
  untitled_25->setGeometry(5, 165, 40, 25);
  untitled_25->setText("text");
  untitled_26 = new QLabel(actGrp);
  untitled_26->setGeometry(5, 195, 40, 25);
  untitled_26->setText("base");

  connect(normalGrp, SIGNAL(clicked(int)), SLOT(changencol(int)) );
  connect(disGrp, SIGNAL(clicked(int)), SLOT(changedcol(int)) );
  connect(actGrp, SIGNAL(clicked(int)), SLOT(changeacol(int)) );
}

ColorPage::~ColorPage()
{
}

void ColorPage::setTarget(QWidget *target)
{
  _target = target;
  QPalette pal = target->palette();
  nBut0->setPalette(QPalette(target->palette().normal().foreground()));
  nBut1->setPalette(QPalette(target->palette().normal().background()));
  nBut2->setPalette(QPalette(target->palette().normal().light()));
  nBut3->setPalette(QPalette(target->palette().normal().dark()));
  nBut4->setPalette(QPalette(target->palette().normal().mid()));
  nBut5->setPalette(QPalette(target->palette().normal().text()));
  nBut6->setPalette(QPalette(target->palette().normal().base()));
  
  dBut0->setPalette(QPalette(target->palette().disabled().foreground()));
  dBut1->setPalette(QPalette(target->palette().disabled().background()));
  dBut2->setPalette(QPalette(target->palette().disabled().light()));
  dBut3->setPalette(QPalette(target->palette().disabled().dark()));
  dBut4->setPalette(QPalette(target->palette().disabled().mid()));
  dBut5->setPalette(QPalette(target->palette().disabled().text()));
  dBut6->setPalette(QPalette(target->palette().disabled().base()));
  
  aBut0->setPalette(QPalette(target->palette().active().foreground()));
  aBut1->setPalette(QPalette(target->palette().active().background()));
  aBut2->setPalette(QPalette(target->palette().active().light()));
  aBut3->setPalette(QPalette(target->palette().active().dark()));
  aBut4->setPalette(QPalette(target->palette().active().mid()));
  aBut5->setPalette(QPalette(target->palette().active().text()));
  aBut6->setPalette(QPalette(target->palette().active().base()));
  dirty = 0;
}

void ColorPage::applyValues()
{
  if(dirty == 0)
    return;
  
  QColor fg, bg, light, dark, mid, txt, base;
  
  fg = nBut0->backgroundColor();
  bg = nBut1->backgroundColor();
  light = nBut2->backgroundColor();
  dark = nBut3->backgroundColor();
  mid = nBut4->backgroundColor();
  txt = nBut5->backgroundColor();
  base = nBut6->backgroundColor();
  QColorGroup ngrp(fg, bg, light, dark, mid, txt, base);
  
  fg = dBut0->backgroundColor();
  bg = dBut1->backgroundColor();
  light = dBut2->backgroundColor();
  dark = dBut3->backgroundColor();
  mid = dBut4->backgroundColor();
  txt = dBut5->backgroundColor();
  base = dBut6->backgroundColor();
  QColorGroup dgrp(fg, bg, light, dark, mid, txt, base);
  
  fg = aBut0->backgroundColor();
  bg = aBut1->backgroundColor();
  light = aBut2->backgroundColor();
  dark = aBut3->backgroundColor();
  mid = aBut4->backgroundColor();
  txt = aBut5->backgroundColor();
  base = aBut6->backgroundColor();
  QColorGroup agrp(fg, bg, light, dark, mid, txt, base);
  
  _target->setPalette(QPalette(ngrp, dgrp, agrp));
}

void ColorPage::changencol(int but)
{
  ColorMixer mixer(this, "");
  switch(but)
  {
    case 0: mixer.setColor(nBut0->backgroundColor()); break;
    case 1: mixer.setColor(nBut1->backgroundColor()); break;
    case 2: mixer.setColor(nBut2->backgroundColor()); break;
    case 3: mixer.setColor(nBut3->backgroundColor()); break;
    case 4: mixer.setColor(nBut4->backgroundColor()); break;
    case 5: mixer.setColor(nBut5->backgroundColor()); break;
    case 6: mixer.setColor(nBut6->backgroundColor()); break;
  }
  if(mixer.exec())
  {
    dirty = 1;
    switch(but)
    {
      case 0: nBut0->setPalette(QPalette(mixer.color())); break;
      case 1: nBut1->setPalette(QPalette(mixer.color())); break;
      case 2: nBut2->setPalette(QPalette(mixer.color())); break;
      case 3: nBut3->setPalette(QPalette(mixer.color())); break;
      case 4: nBut4->setPalette(QPalette(mixer.color())); break;
      case 5: nBut5->setPalette(QPalette(mixer.color())); break;
      case 6: nBut6->setPalette(QPalette(mixer.color())); break;
    }
  }
}

void ColorPage::changedcol(int but)
{
  ColorMixer mixer(this, "");
  switch(but)
  {
    case 0: mixer.setColor(dBut0->backgroundColor()); break;
    case 1: mixer.setColor(dBut1->backgroundColor()); break;
    case 2: mixer.setColor(dBut2->backgroundColor()); break;
    case 3: mixer.setColor(dBut3->backgroundColor()); break;
    case 4: mixer.setColor(dBut4->backgroundColor()); break;
    case 5: mixer.setColor(dBut5->backgroundColor()); break;
    case 6: mixer.setColor(dBut6->backgroundColor()); break;
  }
  if(mixer.exec())
  {
    dirty = 1;
    switch(but)
    {
      case 0: dBut0->setPalette(QPalette(mixer.color())); break;
      case 1: dBut1->setPalette(QPalette(mixer.color())); break;
      case 2: dBut2->setPalette(QPalette(mixer.color())); break;
      case 3: dBut3->setPalette(QPalette(mixer.color())); break;
      case 4: nBut4->setPalette(QPalette(mixer.color())); break;
      case 5: dBut5->setPalette(QPalette(mixer.color())); break;
      case 6: dBut6->setPalette(QPalette(mixer.color())); break;
    }
  }
}

void ColorPage::changeacol(int but)
{
  ColorMixer mixer(this, "");
  switch(but)
  {
    case 0: mixer.setColor(aBut0->backgroundColor()); break;
    case 1: mixer.setColor(aBut1->backgroundColor()); break;
    case 2: mixer.setColor(aBut2->backgroundColor()); break;
    case 3: mixer.setColor(aBut3->backgroundColor()); break;
    case 4: mixer.setColor(aBut4->backgroundColor()); break;
    case 5: mixer.setColor(aBut5->backgroundColor()); break;
    case 6: mixer.setColor(aBut6->backgroundColor()); break;
  }
  if(mixer.exec())
  {
    dirty = 1;
    switch(but)
    {
      case 0: aBut0->setPalette(QPalette(mixer.color())); break;
      case 1: aBut1->setPalette(QPalette(mixer.color())); break;
      case 2: aBut2->setPalette(QPalette(mixer.color())); break;
      case 3: aBut3->setPalette(QPalette(mixer.color())); break;
      case 4: aBut4->setPalette(QPalette(mixer.color())); break;
      case 5: aBut5->setPalette(QPalette(mixer.color())); break;
      case 6: aBut6->setPalette(QPalette(mixer.color())); break;
    }
  }
}
