#ifndef colpage_included
#define colpage_included

#include <proppage.h>
#include <qpushbt.h>
#include <qbttngrp.h>
#include <qlabel.h>

#include <colmixer.h>

class ColorPage: public PropPage
{
  Q_OBJECT
  public:
    ColorPage(QWidget *parent, const char *name);
    ~ColorPage();
    void setTarget(QWidget *target);
  public slots:
    void applyValues();
  private slots:
    void changencol(int but);
    void changedcol(int but);
    void changeacol(int but);
  private:
    QWidget * _target;
  private:
    QButtonGroup *normalGrp;
    QPushButton *nBut0;
    QPushButton *nBut1;
    QPushButton *nBut2;
    QPushButton *nBut3;
    QPushButton *nBut4;
    QPushButton *nBut5;
    QPushButton *nBut6;
    QLabel *untitled_0;
    QLabel *untitled_1;
    QLabel *untitled_2;
    QLabel *untitled_3;
    QLabel *untitled_4;
    QLabel *untitled_5;
    QLabel *untitled_6;
    QButtonGroup *disGrp;
    QPushButton *dBut0;
    QPushButton *dBut1;
    QPushButton *dBut2;
    QPushButton *dBut3;
    QPushButton *dBut4;
    QPushButton *dBut5;
    QPushButton *dBut6;
    QLabel *untitled_10;
    QLabel *untitled_11;
    QLabel *untitled_12;
    QLabel *untitled_13;
    QLabel *untitled_14;
    QLabel *untitled_15;
    QLabel *untitled_16;
    QButtonGroup *actGrp;
    QPushButton *aBut0;
    QPushButton *aBut1;
    QPushButton *aBut2;
    QPushButton *aBut3;
    QPushButton *aBut4;
    QPushButton *aBut5;
    QPushButton *aBut6;
    QLabel *untitled_20;
    QLabel *untitled_21;
    QLabel *untitled_22;
    QLabel *untitled_23;
    QLabel *untitled_24;
    QLabel *untitled_25;
    QLabel *untitled_26;
};

#endif
