#ifndef combopage_included
#define combopage_included

#include <proppage.h>
#include <qchkbox.h>
#include <qpushbt.h>
#include <qgrpbox.h>
#include <qlabel.h>
#include <qlistbox.h>
#include <qlined.h>
#include <qscrbar.h>

#include <stdlib.h>
#include <qstring.h>
#include <qcombo.h>

class ComboBoxPage: public PropPage
{
  Q_OBJECT
  public:
    ComboBoxPage(QWidget *parent, const char *name);
    ~ComboBoxPage();
    void setTarget(QWidget *target);
  public slots:
    void applyValues();
  private slots:
    void addEntry();
    void insEntry();
    void chgEntry();
    void delEntry();
    void newItem(int idx);
  private:
    QComboBox * _target;
  private:
    QGroupBox *itemGrp;
    QLineEdit *itemEdit;
    QPushButton *addBut;
    QPushButton *insBut;
    QPushButton *chgBut;
    QPushButton *delBut;
    QListBox *itemList;
    QGroupBox *optGrp;
    QLabel *untitled_0;
    QLineEdit *lineEdit;
    QCheckBox *aresBox;
};

#endif
