#ifndef framepage_included
#define framepage_included

#include <proppage.h>
#include <qcombo.h>
#include <qgrpbox.h>
#include <qlined.h>

#include <stdlib.h>
#include <qstring.h>
#include <qframe.h>

class FramePage: public PropPage
{
  Q_OBJECT
  public:
    FramePage(QWidget *parent, const char *name);
    ~FramePage();
    void setTarget(QWidget *target);
  public slots:
    void applyValues();
  private:
    QFrame * _target;
  private:
    QGroupBox *styleGrp;
    QComboBox *shapeCombo;
    QComboBox *shadowCombo;
    QGroupBox *lwGrp;
    QLineEdit *lwEdit;
    QGroupBox *mlwGrp;
    QLineEdit *mlwEdit;
};

#endif
