#ifndef InclListModule_included
#define InclListModule_included

#include <qwidget.h>
#include <qpushbt.h>
#include <qframe.h>
#include <qlistbox.h>

#include <valmodal.h>
#include <shared.h>
#include <geomgr.h>
#include <qmsgbox.h>

class InclListModule: public QWidget
{
  Q_OBJECT
  public:
    InclListModule(QWidget *parent, const char *name);
    ~InclListModule();
    void setList(QList<IncludeFile> &lst);
  private slots:
    void addInclude();
    void delInclude();
    void editInclude();
    void editInclude(int idx);
  private:
    void update();
    void closeEvent(QCloseEvent *ev);
  private:
    QList<IncludeFile> * list;
  private:
    QFrame *backFrame;
    QListBox *inclList;
    QPushButton *addBut;
    QPushButton *delBut;
    QPushButton *editBut;
};

#endif
