#ifndef linedpage_included
#define linedpage_included

#include <proppage.h>
#include <qchkbox.h>
#include <qcombo.h>
#include <qgrpbox.h>
#include <qlined.h>

#include <stdlib.h>
#include <qstring.h>
#include <qlined.h>

class LineEditPage: public PropPage
{
  Q_OBJECT
  public:
    LineEditPage(QWidget *parent, const char *name);
    ~LineEditPage();
    void setTarget(QWidget *target);
  public slots:
    void applyValues();
  private:
    QLineEdit * _target;
  private:
    QGroupBox *textGrp;
    QLineEdit *textEdit;
    QGroupBox *modeGrp;
    QComboBox *modeCombo;
    QGroupBox *lenGrp;
    QLineEdit *lenEdit;
    QGroupBox *optGrp;
    QCheckBox *frameBox;
};

#endif
