#ifndef listboxpage_included
#define listboxpage_included

#include <proppage.h>
#include <qchkbox.h>
#include <qpushbt.h>
#include <qgrpbox.h>
#include <qlistbox.h>
#include <qlined.h>
#include <qscrbar.h>

#include <qlistbox.h>

class ListBoxPage: public PropPage
{
  Q_OBJECT
  public:
    ListBoxPage(QWidget *parent, const char *name);
    ~ListBoxPage();
    void setTarget(QWidget *target);
  public slots:
    void applyValues();
  private slots:
    void addEntry();
    void insEntry();
    void chgEntry();
    void delEntry();
    void newItem(int idx);
  private:
    QListBox * _target;
  private:
    QGroupBox *itemGrp;
    QLineEdit *itemEdit;
    QPushButton *addBut;
    QPushButton *insBut;
    QPushButton *chgBut;
    QPushButton *delBut;
    QListBox *itemList;
    QGroupBox *optGrp;
    QCheckBox *ascrBox;
    QCheckBox *dragBox;
    QCheckBox *ascrbarBox;
    QCheckBox *smoothBox;
};

#endif
