#ifndef miscpage_included
#define miscpage_included

#include <proppage.h>
#include <qchkbox.h>
#include <qcombo.h>
#include <qgrpbox.h>
#include <qlabel.h>
#include <qlined.h>


class MiscPage: public PropPage
{
  Q_OBJECT
  public:
    MiscPage(QWidget *parent, const char *name);
    ~MiscPage();
    void setTarget(QWidget *target);
  public slots:
    void applyValues();
  private:
    QWidget * _target;
  private:
    QGroupBox *styleGrp;
    QComboBox *styleCombo;
    QGroupBox *focusGrp;
    QComboBox *focusCombo;
    QGroupBox *optGrp;
    QCheckBox *mousetrBox;
    QCheckBox *enableBox;
    QLineEdit *captionEdit;
    QLabel *untitled_0;
};

#endif
