#ifndef mlinedpage_included
#define mlinedpage_included

#include <proppage.h>
#include <qchkbox.h>
#include <qgrpbox.h>
#include <qmlined.h>
#include <qscrbar.h>

#include <qmlined.h>

class MultiLineEditPage: public PropPage
{
  Q_OBJECT
  public:
    MultiLineEditPage(QWidget *parent, const char *name);
    ~MultiLineEditPage();
    void setTarget(QWidget *target);
  public slots:
    void applyValues();
  private:
    QMultiLineEdit * _target;
  private:
    QGroupBox *textGrp;
    QMultiLineEdit *mlineEdit;
    QGroupBox *optGrp;
    QCheckBox *readBox;
    QCheckBox *overwriteBox;
};

#endif
