#ifndef MemberVarListModule_included
#define MemberVarListModule_included

#include <qwidget.h>
#include <qpushbt.h>
#include <qframe.h>
#include <qlabel.h>
#include <qlistbox.h>

#include <shared.h>
#include <mvmodal.h>
#include <geomgr.h>

class MemberVarListModule: public QWidget
{
  Q_OBJECT
  public:
    MemberVarListModule(QWidget *parent, const char *name);
    ~MemberVarListModule();
    void setList(QList<MemberVariable> &lst);
    void closeEvent(QCloseEvent *ev);
  private slots:
    void syncLists(int idx);
    void newVar();
    void delVar();
    void editVar();
    void editVar(int);
  private:
    void update();
  private:
    QList<MemberVariable> * list;
  private:
    QFrame *backFrame;
    QLabel *untitled_0;
    QListBox *typeList;
    QLabel *untitled_1;
    QListBox *nameList;
    QPushButton *newBut;
    QPushButton *rmBut;
    QPushButton *editBut;
};

#endif
