#ifndef pushbtpage_included
#define pushbtpage_included

#include <proppage.h>
#include <qchkbox.h>
#include <qgrpbox.h>

#include <qpushbt.h>

class PushButtonPage: public PropPage
{
  Q_OBJECT
  public:
    PushButtonPage(QWidget *parent, const char *name);
    ~PushButtonPage();
    void setTarget(QWidget *target);
    void applyValues();
  private:
    QPushButton * _target;
  private:
    QGroupBox *optGrp;
    QCheckBox *adefBox;
    QCheckBox *defBox;
    QCheckBox *toggleBox;
};

#endif
