#ifndef scrbarpage_included
#define scrbarpage_included

#include <proppage.h>
#include <qchkbox.h>
#include <qcombo.h>
#include <qgrpbox.h>
#include <qlined.h>

#include <stdlib.h>
#include <qstring.h>
#include <qscrbar.h>

class ScrollBarPage: public PropPage
{
  Q_OBJECT
  public:
    ScrollBarPage(QWidget *parent, const char *name);
    ~ScrollBarPage();
    void setTarget(QWidget *target);
  public slots:
    void applyValues();
  private:
    QScrollBar * _target;
  private:
    QGroupBox *rangeGrp;
    QLineEdit *minEdit;
    QLineEdit *maxEdit;
    QLineEdit *valEdit;
    QGroupBox *stepGrp;
    QLineEdit *lstepEdit;
    QLineEdit *pstepEdit;
    QGroupBox *optGrp;
    QComboBox *orientCombo;
    QCheckBox *trackBox;
};

#endif
