#ifndef valmodal_included
#define valmodal_included

#include <qdialog.h>
#include <qpushbt.h>
#include <qlabel.h>
#include <qlined.h>

#include <geomgr.h>

class ValModal: public QDialog
{
  Q_OBJECT
  public:
    ValModal(QWidget *parent, const char *name);
    ~ValModal();
    void setQuestion(const char *txt);
    void setText(const char *txt);
    const char * text();
    void clear();
    void showAtCursor();
  private:
    QLabel *valLabel;
    QLineEdit *valEdit;
    QPushButton *okBut;
    QPushButton *cancelBut;
};

#endif
