#ifndef bttngrppage_included
#define bttngrppage_included

#include <proppage.h>
#include <qchkbox.h>
#include <qgrpbox.h>

#include <qbttngrp.h>

class ButtonGroupPage: public PropPage
{
  Q_OBJECT
  public:
    ButtonGroupPage(QWidget *parent, const char *name);
    ~ButtonGroupPage();
    void setTarget(QWidget *target);
  public slots:
    void applyValues();
  private:
    QButtonGroup * _target;
  private:
    QGroupBox *optGrp;
    QCheckBox *exclBox;
};

#endif
