#ifndef GeoPage_included
#define GeoPage_included

#include <proppage.h>
#include <qpushbt.h>
#include <qgrpbox.h>
#include <qlabel.h>
#include <qlined.h>

#include <stdlib.h>
#include <qstring.h>

class GeoPage: public PropPage
{
  Q_OBJECT
  public:
    GeoPage(QWidget *parent, const char *name);
    ~GeoPage();
    void setTarget(QWidget *target);
  public slots:
    void applyValues();
  private slots:
    void fixsize();
  private:
    QWidget * _target;
  private:
    QGroupBox *posGrp;
    QLineEdit *xEdit;
    QLineEdit *yEdit;
    QGroupBox *sizeGrp;
    QLineEdit *wEdit;
    QLineEdit *hEdit;
    QPushButton *fixBut;
    QGroupBox *extrGrp;
    QLineEdit *minwEdit;
    QLineEdit *minhEdit;
    QLineEdit *maxwEdit;
    QLineEdit *maxhEdit;
    QLabel *untitled_0;
    QLabel *untitled_1;
};

#endif
