#ifndef grpboxpage_included
#define grpboxpage_included

#include <proppage.h>
#include <qcombo.h>
#include <qgrpbox.h>
#include <qlined.h>

#include <qregexp.h>
#include <qstring.h>
#include <qgrpbox.h>

class GroupBoxPage: public PropPage
{
  Q_OBJECT
  public:
    GroupBoxPage(QWidget *parent, const char *name);
    ~GroupBoxPage();
    void setTarget(QWidget *target);
  public slots:
    void applyValues();
  private:
    QGroupBox * _target;
  private:
    QGroupBox *titleGrp;
    QLineEdit *titleEdit;
    QComboBox *alignCombo;
};

#endif
