#ifndef labelpage_included
#define labelpage_included

#include <proppage.h>
#include <qchkbox.h>
#include <qcombo.h>
#include <qgrpbox.h>
#include <qlabel.h>
#include <qlined.h>

#include <stdlib.h>
#include <qregexp.h>
#include <qstring.h>
#include <qlabel.h>

class LabelPage: public PropPage
{
  Q_OBJECT
  public:
    LabelPage(QWidget *parent, const char *name);
    ~LabelPage();
    void setTarget(QWidget *target);
  public slots:
    void applyValues();
  private:
    QLabel * _target;
  private:
    QGroupBox *textGrp;
    QLineEdit *textEdit;
    QGroupBox *halignGrp;
    QComboBox *halignCombo;
    QGroupBox *valignGrp;
    QComboBox *valignCombo;
    QGroupBox *optGrp;
    QLabel *untitled_0;
    QLineEdit *marginEdit;
    QCheckBox *aresBox;
};

#endif
