#ifndef MemberFuncListModule_included
#define MemberFuncListModule_included

#include <qwidget.h>
#include <qpushbt.h>
#include <qframe.h>
#include <qlabel.h>
#include <qlistbox.h>

#include <shared.h>
#include <mfmodal.h>
#include <geomgr.h>

class MemberFuncListModule: public QWidget
{
  Q_OBJECT
  public:
    MemberFuncListModule(QWidget *parent, const char *name);
    ~MemberFuncListModule();
    void setList(QList<MemberFunction> &lst);
    void closeEvent(QCloseEvent *ev);
  private slots:
    void syncLists(int idx);
    void newMember();
    void delMember();
    void editMember();
    void editMember(int);
  private:
    void update();
  private:
    QList<MemberFunction> * list;
  private:
    QFrame *backFrame;
    QListBox *typeList;
    QListBox *nameList;
    QLabel *untitled_0;
    QLabel *untitled_1;
    QPushButton *newBut;
    QPushButton *rmBut;
    QPushButton *editBut;
    QLabel *untitled_2;
    QListBox *accessList;
};

#endif
