#ifndef MemberFuncModal_included
#define MemberFuncModal_included

#include <qdialog.h>
#include <qchkbox.h>
#include <qpushbt.h>
#include <qradiobt.h>
#include <qframe.h>
#include <qbttngrp.h>
#include <qlabel.h>
#include <qmlined.h>
#include <qlined.h>
#include <qscrbar.h>

#include <qmsgbox.h>
#include <shared.h>
#include <geomgr.h>

class MemberFuncModal: public QDialog
{
  Q_OBJECT
  public:
    MemberFuncModal(QWidget *parent, const char *name);
    ~MemberFuncModal();
    void setMember(MemberFunction *mf);
  private slots:
    void applyValues();
    void newmtype(int idx);
    void doAutoIndent();
  private:
    MemberFunction * target;
  private:
    QFrame *backFrame;
    QLabel *untitled_0;
    QLineEdit *typeEdit;
    QLabel *untitled_1;
    QLineEdit *nameEdit;
    QLabel *untitled_2;
    QLineEdit *argEdit;
    QButtonGroup *mtypeGrp;
    QRadioButton *normBox;
    QRadioButton *sigBox;
    QRadioButton *slotBox;
    QButtonGroup *atypeGrp;
    QRadioButton *pubBox;
    QRadioButton *protBox;
    QRadioButton *privBox;
    QMultiLineEdit *textEdit;
    QCheckBox *aiBox;
    QPushButton *doneBut;
    QPushButton *cancelBut;
};

#endif
