#ifndef MemberVarModal_included
#define MemberVarModal_included

#include <qdialog.h>
#include <qpushbt.h>
#include <qradiobt.h>
#include <qframe.h>
#include <qbttngrp.h>
#include <qlabel.h>
#include <qlined.h>

#include <shared.h>
#include <qmsgbox.h>
#include <geomgr.h>

class MemberVarModal: public QDialog
{
  Q_OBJECT
  public:
    MemberVarModal(QWidget *parent, const char *name);
    ~MemberVarModal();
    void setVar(MemberVariable *mv);
  private slots:
    void applyValues();
  private:
    MemberVariable * target;
  private:
    QFrame *backFrame;
    QLabel *untitled_0;
    QLineEdit *typeEdit;
    QLabel *untitled_1;
    QLineEdit *nameEdit;
    QButtonGroup *atypeGrp;
    QRadioButton *pubBox;
    QRadioButton *protBox;
    QRadioButton *privBox;
    QPushButton *doneBut;
    QPushButton *cancelBut;
};

#endif
