#ifndef prefmdl_included
#define prefmdl_included

#include <qdialog.h>
#include <qpushbt.h>
#include <qcombo.h>
#include <qgrpbox.h>
#include <qlabel.h>
#include <qlined.h>

#include <qfiledlg.h>
#include <qstring.h>
#include <stdlib.h>
#include <valmodal.h>
#include <qmsgbox.h>
#include <fstream.h>
#include <iostream.h>

class PrefModule: public QDialog
{
  Q_OBJECT
  public:
    PrefModule(QWidget *parent, const char *name);
    ~PrefModule();
    void save(const char *fname);
    void init();
    const char * headerExt();
    const char * implExt();
    const char * exportDir();
    int xGrid();
    int yGrid();
    GUIStyle defaultStyle();
  private slots:
    void savePrefs();
  private:
    QString rcFilename;
  private:
    QGroupBox *expGrp;
    QLabel *untitled_7;
    QLineEdit *hextEdit;
    QLabel *untitled_9;
    QLineEdit *iextEdit;
    QLabel *untitled_11;
    QLineEdit *exdirEdit;
    QLabel *untitled_101;
    QGroupBox *dsgnGrp;
    QLabel *untitled_16;
    QLineEdit *xgridEdit;
    QLabel *untitled_18;
    QLineEdit *ygridEdit;
    QLabel *untitled_52;
    QComboBox *styleCombo;
    QPushButton *okBut;
    QPushButton *cancelBut;
    QPushButton *saveBut;
};

#endif
