#ifndef radiobtpage_included
#define radiobtpage_included

#include <proppage.h>
#include <qchkbox.h>
#include <qgrpbox.h>

#include <qradiobt.h>

class RadioButtonPage: public PropPage
{
  Q_OBJECT
  public:
    RadioButtonPage(QWidget *parent, const char *name);
    ~RadioButtonPage();
    void setTarget(QWidget *target);
    void applyValues();
  private:
    QRadioButton * _target;
  private:
    QGroupBox *optGrp;
    QCheckBox *chkBox;
};

#endif
