#ifndef SliderPage_included
#define SliderPage_included

#include <proppage.h>
#include <qchkbox.h>
#include <qcombo.h>
#include <qgrpbox.h>
#include <qlined.h>

#include <stdlib.h>
#include <qstring.h>
#include <qslider.h>

class SliderPage: public PropPage
{
  Q_OBJECT
  public:
    SliderPage(QWidget *parent, const char *name);
    ~SliderPage();
    void setTarget(QWidget *target);
  public slots:
    void applyValues();
  private:
    QSlider * _target;
  private:
    QGroupBox *rangeGrp;
    QLineEdit *minEdit;
    QLineEdit *maxEdit;
    QLineEdit *valEdit;
    QGroupBox *stepGrp;
    QLineEdit *lstepEdit;
    QLineEdit *pstepEdit;
    QGroupBox *optGrp;
    QComboBox *orientCombo;
    QCheckBox *trackBox;
    QGroupBox *tickGrp;
    QComboBox *tickCombo;
    QLineEdit *tickEdit;
};

#endif
