#ifndef WidgetInfoModal_included
#define WidgetInfoModal_included

#include <qdialog.h>
#include <qchkbox.h>
#include <qpushbt.h>
#include <qcombo.h>
#include <qgrpbox.h>
#include <qlabel.h>
#include <qlined.h>

#include <qmsgbox.h>
#include <shared.h>

class WidgetInfoModal: public QDialog
{
  Q_OBJECT
  public:
    WidgetInfoModal(QWidget *parent, const char *name);
    ~WidgetInfoModal();
    WidgetInfo * getInfo();
    void setInfo(WidgetInfo *info);
  private slots:
    void newClass(int idx);
    void showHelp();
    void newSubs(int idx);
    void toggleModal();
  private:
    QGroupBox *nameGrp;
    QLineEdit *nameEdit;
    QGroupBox *argGrp;
    QLineEdit *argEdit;
    QGroupBox *baseGrp;
    QComboBox *btypeCombo;
    QCheckBox *modalBox;
    QLabel *untitled_0;
    QLineEdit *binitEdit;
    QLabel *untitled_1;
    QLineEdit *btypeEdit;
    QLabel *untitled_2;
    QComboBox *subsCombo;
    QLabel *untitled_3;
    QLineEdit *inclEdit;
    QPushButton *okBut;
    QPushButton *cancelBut;
    QPushButton *helpBut;
};

#endif
